ChangeSet 1.889.26.15, 2003/01/12 00:21:36-08:00, greg@kroah.com

[PATCH] USB: Fix from Jeff and Pete to keep khubd from being able to be killed by a signal


diff -Nru a/drivers/usb/core/hub.c b/drivers/usb/core/hub.c
--- a/drivers/usb/core/hub.c	Mon Jan 13 14:25:05 2003
+++ b/drivers/usb/core/hub.c	Mon Jan 13 14:25:05 2003
@@ -1085,6 +1085,12 @@
 
 	daemonize();
 
+	/* keep others from killing us */
+	spin_lock_irq(&current->sig->siglock);
+	sigemptyset(&current->blocked);
+	recalc_sigpending();
+	spin_unlock_irq(&current->sig->siglock);
+
 	/* Setup a nice name */
 	strcpy(current->comm, "khubd");
 
